epp_DomainTransferReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.domain.epp_DomainTransferReq class

### org.openrtk.idl.epp02.domain

# Class epp_DomainTransferReq

- `java.lang.Object`
- - `org.openrtk.idl.epp02.domain.epp_DomainTransferReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainTransferReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/domain/epp_DomainTransferReq.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_domain.idl Thursday, July 26, 2001 6:26:07 PM EDT

  ## Field Summary
  `epp_Command` | `m_cmd`
  `String` | `m_name`
  `epp_DomainPeriod` | `m_period`
  `epp_TransferRequest` | `m_trans`

  ## Constructor Summary
  `epp_DomainTransferReq()`
  `epp_DomainTransferReq(epp_Command _m_cmd, epp_TransferRequest _m_trans, String _m_name, epp_DomainPeriod _m_period)`

  ## Method Summary
  `epp_Command` | `getCmd()`
  `String` | `getName()`
  `epp_DomainPeriod` | `getPeriod()`
  `epp_TransferRequest` | `getTrans()`
  `void` | `setCmd(epp_Command value)`
  `void` | `setName(String value)`
  `void` | `setPeriod(epp_DomainPeriod value)`
  `void` | `setTrans(epp_TransferRequest value)`
  `String` | `toString()`

## Field Details

### m_cmd

    public epp_Command m_cmd

### m_name

    public String m_name

### m_period

    public epp_DomainPeriod m_period

### m_trans

    public epp_TransferRequest m_trans

## Constructor Details

### epp_DomainTransferReq

    public epp_DomainTransferReq()

### epp_DomainTransferReq

    public epp_DomainTransferReq(epp_Command _m_cmd,
                                 epp_TransferRequest _m_trans,
                                 String _m_name,
                                 epp_DomainPeriod _m_period)

## Method Details

### getCmd

    public epp_Command getCmd()

### getName

    public String getName()

### getPeriod

    public epp_DomainPeriod getPeriod()

### getTrans

    public epp_TransferRequest getTrans()

### setCmd

    public void setCmd(epp_Command value)

### setName

    public void setName(String value)

### setPeriod

    public void setPeriod(epp_DomainPeriod value)

### setTrans

    public void setTrans(epp_TransferRequest value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS